Name:          libid3tag
Version:       0.16.3
Release:       1mamba
Summary:       A library for reading, writing, and manipulating ID3v1 and ID3v2 tags
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://codeberg.org/tenacityteam/libid3tag
Source:        https://codeberg.org/tenacityteam/libid3tag.git/%{version}/libid3tag-%{version}.tar.bz2
Patch0:        libid3tag-0.16.1-fix-soversion.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
A software development library for reading, writing, and manipulating ID3v1 and ID3v2 tags.
This is an alternative library to libid3 (it is not the same!)

%package devel
Summary:       Header files and static library for development with libid3tag
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A software development library for reading, writing, and manipulating ID3v1 and ID3v2 tags.
This is the devel package.

%debug_package

%prep
%setup -q
#%patch 0 -p1

%build
%cmake -d build \
   -DCMAKE_STRIP=false

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libid3tag.so.*
%doc COPYING COPYRIGHT

%files devel
%defattr(-, root, root)
%{_includedir}/*.h
%{_libdir}/libid3tag.so
%{_libdir}/pkgconfig/id3tag.pc
%dir %{_libdir}/cmake/id3tag
%{_libdir}/cmake/id3tag/id3tag*.cmake
%doc CHANGES CREDITS README TODO

%changelog
* Tue Oct 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.3-1mamba
- update to 0.16.3

* Sat May 07 2022 Automatic Build System <autodist@mambasoft.it> 0.16.2-1mamba
- automatic version update by autodist

* Thu Feb 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.1-2mamba
- fix library SOVERSION

* Sun Dec 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.1-1mamba
- update to 0.16.1

* Thu Dec 17 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.1b-6mamba
- rebuilt with debug package and aarch64 build fix

* Sun Aug 18 2013 Automatic Build System <autodist@mambasoft.it> 0.15.1b-5mamba
- automatic rebuild by autodist

* Wed Apr 30 2008 Aleph0 <aleph0@openmamba.org> 0.15.1b-4mamba
- specfile updated

* Tue Jun 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.15.1b-3qilnx
- added 'id3tag.pc'

* Thu Jun 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.15.1b-2qilnx
- added missing %%post, %%postun scripts
- specfile updated/fixed

* Fri Sep 10 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.1b-1qilnx
- first build
